# Created by pyp2rpm-3.3.6
%global pypi_name procedural

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        1%{?dist}
Summary:        A Python client for interacting with Procedural's REST APIs

License:        None
URL:            https://github.com/procedural-build/procedural-py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 ProceduralA Python client for interacting with
[Procedural's](www.procedural.build/) REST APIs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(requests) >= 2.24 with python3dist(requests) < 3)
%description -n python3-%{pypi_name}
 ProceduralA Python client for interacting with
[Procedural's](www.procedural.build/) REST APIs.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Oct 08 2021 mockbuilder - 0.1.1-1
- Initial package.